[CentOS] yum update error this morning

Jerry Geis geisj at pagestation.com
Wed Jun 3 13:25:33 UTC 2009


I am getting the following "yum update" error this morning. C 5.3 x86_64.

What shall I do?

Jerry
-----------

yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirror.nac.net
 * updates: centos.mirror.nac.net
 * addons: mirrors.unbornmedia.com
 * extras: centos.mirror.nac.net
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package vsftpd.x86_64 0:2.0.5-12.el5_3.1 set to be updated
---> Package sos.noarch 0:1.7-9.16.el5_3.5 set to be updated
---> Package pidgin.i386 0:2.5.5-3.el5 set to be updated
---> Package poppler.x86_64 0:0.5.4-4.4.el5_3.9 set to be updated
---> Package audit-libs.x86_64 0:1.7.7-6.el5_3.3 set to be updated
---> Package pango.i386 0:1.14.9-5.el5.centos set to be updated
---> Package audit-libs-python.x86_64 0:1.7.7-6.el5_3.3 set to be updated
---> Package acpid.x86_64 0:1.0.4-7.el5_3.1 set to be updated
---> Package audit.x86_64 0:1.7.7-6.el5_3.3 set to be updated
---> Package libwmf.x86_64 0:0.2.8.4-10.2 set to be updated
---> Package libpurple.i386 0:2.5.5-3.el5 set to be updated
---> Package crash.x86_64 0:4.0-7.2.3.el5.centos.1 set to be updated
---> Package ipsec-tools.x86_64 0:0.6.5-13.el5_3.1 set to be updated
---> Package file.x86_64 0:4.17-15.el5_3.1 set to be updated
---> Package freetype.x86_64 0:2.2.1-21.el5_3 set to be updated
---> Package libpurple.x86_64 0:2.5.5-3.el5 set to be updated
---> Package freetype-devel.x86_64 0:2.2.1-21.el5_3 set to be updated
---> Package pidgin.x86_64 0:2.5.5-3.el5 set to be updated
---> Package httpd.x86_64 0:2.2.3-22.el5.centos.1 set to be updated
---> Package libwmf.i386 0:0.2.8.4-10.2 set to be updated
---> Package gnome-session.x86_64 0:2.16.0-6.el5.centos.2 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.2.2-5.el5_3.1 set to be updated
---> Package audit-libs.i386 0:1.7.7-6.el5_3.3 set to be updated
---> Package httpd-manual.x86_64 0:2.2.3-22.el5.centos.1 set to be updated
---> Package freetype.i386 0:2.2.1-21.el5_3 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-22.el5.centos.1 set to be updated
---> Package pango.x86_64 0:1.14.9-5.el5.centos set to be updated
---> Package freetype-devel.i386 0:2.2.1-21.el5_3 set to be updated
---> Package ntp.x86_64 0:4.2.2p1-9.el5.centos.2 set to be updated
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 145, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 647, in 
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 704, in 
resolveDeps
    for po, dep in self._checkFileRequires():
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 939, in 
_checkFileRequires
    if not self.tsInfo.getOldProvides(filename) and not 
self.tsInfo.getNewProvides(filename):
  File "/usr/lib/python2.4/site-packages/yum/transactioninfo.py", line 
414, in getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, 
version).iteritems():
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 300, 
in getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, 
version)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 470, 
in _computeAggregateDictResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 861, 
in getProvides
    return self._search("provides", name, flags, version)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 43, in 
newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 837, 
in _search
    for pkg in self.searchFiles(name, strict=True):
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 43, in 
newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 586, 
in searchFiles
    self._sql_pkgKey2po(rep, cur, pkgs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 470, 
in _sql_pkgKey2po
    pkg = self._packageByKey(repo, ob['pkgKey'])
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 413, 
in _packageByKey
    po = self.pc(repo, cur.fetchone())
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 68, in 
__init__
    self._read_db_obj(db_obj)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 94, in 
_read_db_obj
    setattr(self, item, _share_data(db_obj[item]))
TypeError: unsubscriptable object



More information about the CentOS mailing list